databaseChangeLog:
  - changeSet:
      id: add-digital-signature-kms
      author: philipp
      changes:
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: digital_signature_type_pkey
                  name: id
                  type: VARCHAR(255)
              - column:
                  name: digital_signature_type
                  type: VARCHAR(255)
            tableName: digital_signature_type
        - createTable:
            columns:
              - column:
                  constraints:
                    nullable: false
                    primaryKey: true
                    primaryKeyName: digital_signature_kms_pkey
                  name: id
                  type: VARCHAR(255)
              - column:
                  name: certificate_name
                  type: VARCHAR(255)
              - column:
                  name: kms_key_id
                  type: VARCHAR(255)
              - column:
                  name: kms_service_endpoint
                  type: VARCHAR(255)
              - column:
                  name: kms_region
                  type: VARCHAR(255)
              - column:
                  name: kms_access_key
                  type: VARCHAR(255)
              - column:
                  name: kms_secret_key
                  type: VARCHAR(255)
              - column:
                  name: certificate
                  type: OID
            tableName: digital_signature_kms